aboutsummaryrefslogtreecommitdiff
path: root/.builds
diff options
context:
space:
mode:
authorKenny Levinsen <kl@kl.wtf>2020-08-01 16:22:45 +0200
committerKenny Levinsen <kl@kl.wtf>2020-08-01 17:02:28 +0200
commit957483fde564d0313a842577602d6bf5de314871 (patch)
tree0410d1bbeba070e50b09b8a79a0e9ac5690d8b86 /.builds
parent9f5fcec874f69635c81a3750da4bf6f093fdb1e3 (diff)
ci: Add completion print to smoketest
Diffstat (limited to '.builds')
-rwxr-xr-x.builds/smoketest-builtin.sh8
-rwxr-xr-x.builds/smoketest-seatd.sh2
2 files changed, 4 insertions, 6 deletions
diff --git a/.builds/smoketest-builtin.sh b/.builds/smoketest-builtin.sh
index 9673922..8341466 100755
--- a/.builds/smoketest-builtin.sh
+++ b/.builds/smoketest-builtin.sh
@@ -1,7 +1,5 @@
#!/bin/sh
-res=0
-
# Devices that exist on sr.ht
if [ -e "/dev/input/event0" ]
then
@@ -24,11 +22,9 @@ do
if ! sudo LIBSEAT_BACKEND=builtin LIBSEAT_LOGLEVEL=debug SEATD_SOCK=./seatd.sock ./build/simpletest $file
then
echo "Simpletest failed"
- res=1
- break
+ exit $res
fi
cnt=$((cnt+1))
done
-
-exit $res
+echo "smoketest-builtin completed"
diff --git a/.builds/smoketest-seatd.sh b/.builds/smoketest-seatd.sh
index 4e6e0e8..58a6eb4 100755
--- a/.builds/smoketest-seatd.sh
+++ b/.builds/smoketest-seatd.sh
@@ -54,3 +54,5 @@ done
# Wait for it to shut down
#
sudo killall seatd 2>/dev/null
+
+echo "smoketest-seatd completed"